%% http://cacr.uwaterloo.ca/techreports/2015/cacr2015-02.pdf
@inproceedings{Unger:2015kg,
author = {Unger, Nik and Dechand, Sergej and Bonneau, Joseph and Fahl, Sascha and Perl, Henning and Goldberg, Ian and Smith, Matthew},
title = {{SoK}: Secure Messaging},
booktitle = {IEEE Symposium on Security and Privacy},
year = {2015},
pages = {232--249},
month = may,
doi = {10.1109/SP.2015.22}
}

@techreport{Rosler:2018bq,
author = {R{\"o}sler, Paul and Mainka, Christian and Schwenk, J{\"o}rg},
title = {More is Less: On the End-to-End Security of Group Chats in {Signal}, {WhatsApp}, and {Threema}},
institution = {IACR Cryptology ePrint},
number = {2017/713},
year = {2018},
month = jan,
url = {https://eprint.iacr.org/2017/713}
}

@techreport{CohnGordon:2017ue,
author = {Cohn-Gordon, Katriel and Cremers, Cas and Garratt, Luke and Millican, Jon and Milner, Kevin},
title = {On Ends-to-Ends Encryption: Asynchronous Group Messaging with Strong Security Guarantees},
institution = {IACR Cryptology ePrint},
number = {2017/666},
year = {2017},
month = jul,
url = {https://eprint.iacr.org/2017/666},
}

@misc{WhatsApp:2017,
author = {{WhatsApp Inc.}},
title = {Connecting One Billion Users Every Day},
year = {2017},
month = jul,
url = {https://blog.whatsapp.com/10000631/Connecting-One-Billion-Users-Every-Day}
}

%% https://www.usenix.org/conference/usenixsecurity17/technical-sessions/presentation/mcgregor
@inproceedings{McGregor:2017vu,
author = {McGregor, Susan E and Watkins, Elizabeth Anne and Al-Ameen, Mahdi Nasrullah and Caine, Kelly and Roesner, Franziska},
title = {When the Weakest Link is Strong: Secure Collaboration in the Case of the {Panama Papers}},
booktitle = {26th USENIX Security Symposium},
year = {2017},
month = aug
}

%% https://www.usenix.org/conference/usenixsecurity15/technical-sessions/presentation/mcgregor
@inproceedings{McGregor:2015vr,
author = {McGregor, Susan E and Charters, Polina and Holliday, Tobin and Roesner, Franziska},
title = {Investigating the Computer Security Practices and Needs of Journalists},
booktitle = {24th USENIX Security Symposium},
year = {2015},
month = aug
}

%% http://www.franziroesner.com/pdf/confidante-eurosp17.pdf
@inproceedings{Lerner:2017tl,
author = {Lerner, Ada and Zeng, Eric and Roesner, Franziska},
title = {{Confidante}: Usable Encrypted Email: A Case Study with Lawyers and Journalists},
booktitle = {2nd IEEE European Symposium on Security and Privacy},
year = {2017},
pages = {385--400},
month = apr,
doi = {10.1109/EuroSP.2017.41}
}

%% http://www.netsec.ethz.ch/publications/papers/ifip-sec-2001.pdf
@inproceedings{Kim:2001eh,
author = {Kim, Yongdae and Perrig, Adrian and Tsudik, Gene},
title = {Communication-Efficient Group Key Agreement},
booktitle = {16th IFIP Information Security Conference (SEC)},
year = {2001},
pages = {229--244},
month = jun,
doi = {10.1007/0-306-46998-7\_16}
}

%% https://pages.lip6.fr/Marek.Zawirski/papers/RR-7687.pdf
@inproceedings{Shapiro:2011un,
author = {Shapiro, Marc and Pregui{\c c}a, Nuno and Baquero, Carlos and Zawirski, Marek},
title = {Conflict-Free Replicated Data Types},
booktitle = {13th International Symposium on Stabilization, Safety, and Security of Distributed Systems (SSS)},
year = {2011},
pages = {386--400},
month = oct,
doi = {10.1007/978-3-642-24550-3\_29}
}

%% https://arxiv.org/abs/1707.01747
@article{Gomes:2017gy,
author = {Gomes, Victor B F and Kleppmann, Martin and Mulligan, Dominic P and Beresford, Alastair R},
title = {Verifying strong eventual consistency in distributed systems},
journal = {Proceedings of the ACM on Programming Languages (PACMPL)},
year = {2017},
volume = {1},
number = {OOPSLA},
month = oct,
doi = {10.1145/3133933}
}

%% http://arxiv.org/abs/1608.03960
@article{Kleppmann:2016ve,
author = {Kleppmann, Martin and Beresford, Alastair R},
title = {A Conflict-Free Replicated {JSON} Datatype},
journal = {IEEE Transactions on Parallel and Distributed Systems},
year = {2017},
volume = {28},
number = {10},
pages = {2733--2746},
month = apr,
doi = {10.1109/TPDS.2017.2697382}
}

@book{Chacon:2014kr,
author = {Chacon, Scott and Straub, Ben},
title = {{Pro Git}},
publisher = {Apress},
year = {2014},
edition = {Second},
isbn = {978-1-4842-0077-3},
url = {https://git-scm.com/book/en/v2}
}

%% http://zoo.cs.yale.edu/classes/cs426/2013/bib/castro99practical.pdf
@inproceedings{Castro:1999te,
author = {Castro, Miguel and Liskov, Barbara H},
title = {Practical {Byzantine} Fault Tolerance},
booktitle = {3rd USENIX Symposium on Operating Systems Design and Implementation (OSDI)},
year = {1999},
month = feb
}

%% http://www.di.fc.ul.pt/~nuno/PAPERS/IJCCBS11.pdf
@article{Correia:2011bo,
author = {Correia, Miguel and Veronese, Giuliana Santos and Neves, Nuno Ferreira and Verissimo, Paulo},
title = {{Byzantine consensus in asynchronous message-passing systems: a survey}},
journal = {International Journal of Critical Computer-Based Systems},
year = {2011},
volume = {2},
number = {2},
pages = {141--161},
doi = {10.1504/IJCCBS.2011.041257}
}

@inproceedings{Benaloh:1993on,
author = {Benaloh, Josh and {De Mare}, Michael},
title = {One-way accumulators: A decentralized alternative to digital signatures},
booktitle = {Workshop on the Theory and Application of Cryptographic Techniques},
organization = {Springer},
pages = {274--285},
year = {1993},
month = may,
doi = {10.1007/3-540-48285-7\_24}
}

@misc{RFC6962,
    author = {Laurie, Ben and Langley, Adam and Kasper, Emilia},
    title = {{RFC} 6962: Certificate Transparency},
    howpublished = "IETF, \url{https://tools.ietf.org/html/rfc6962}",
    year = {2013},
    month = jun
}

